| Face Engine SDK 5.31.2 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::ILicense Struct Referenceabstract

License objects interface. More...

`#include <ILicense.h>`

Inheritance diagram for fsdk::ILicense:

## Public Member Functions
virtual ResultValue< FSDKError, bool > | checkFeatureId (LicenseFeature feature) const noexcept=0
| Checks if the feature with featureId is available in this license. More...
virtual ResultValue< FSDKError, bool > | isActivated () const noexcept=0
| Checks if current license object is activated and could be used by FaceEngine. More...
| FSDK_DEPRECATED ("loadFromFile is deprecated since v.5.5.0," " Use loadFromFile(const char* path, const ISettingsProvider* settings) instead") virtual Result< FSDKError > loadFromFile(const char *path) noexcept=0
| Loads license from file. More...
virtual Result< FSDKError > | loadFromFile (const char *path, const ISettingsProvider *settings) noexcept=0
| Loads license from file. More...
virtual Result< FSDKError > | saveToFile (const char *path) const noexcept=0
| Saves license as raw format to the file. This file could be used in the next run of the application. More...
virtual ResultValue< FSDKError, uint32_t > | getExpirationDate (LicenseFeature feature) const noexcept=0
| Gets license expiration date. More...
virtual Result< FSDKError > | getLicenseType (int &licenseType) const noexcept=0
| Gets license type. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

License objects interface.

Note
  Use License objects to adopt FaceEngine functionality.

## Member Function Documentation

## ◆ checkFeatureId()

virtual ResultValue<FSDKError, bool> fsdk::ILicense::checkFeatureId | ( | LicenseFeature | feature | ) | const
| pure virtual noexcept

Checks if the feature with featureId is available in this license.

Parameters

  [in] | feature | LicenseFeature type.

Returns
  ResultValue with error code and true if feature is available, false if there is no such feature in this license or feature is expired or license was not activated.

See also
  LicenseFeature, ResultValue and FSDKError for details.

## ◆ FSDK_DEPRECATED()

fsdk::ILicense::FSDK_DEPRECATED | ( | "loadFromFile is deprecated since v.5.5. | 0,
|  | " " Use loadFromFile(const char *path, const ISettingsProvider *settings) instead" |
| ) |  | const
| pure virtual noexcept

Loads license from file.

Parameters

  [in] | path | path to the file.

Returns
  Result with error code.

See also
  Result and FSDKError for details.

## ◆ getExpirationDate()

virtual ResultValue<FSDKError, uint32_t> fsdk::ILicense::getExpirationDate | ( | LicenseFeature | feature | ) | const
| pure virtual noexcept

Gets license expiration date.

Parameters

  [in] | feature | LicenseFeature type.

Returns
  ResultValue with error code and uint32_t Unix Timestamp.

See also
  LicenseFeature, ResultValue and FSDKError for details.

Note
  License settings should be set before using this method!
  License should be activated before calling this method!

## ◆ getLicenseType()

virtual Result<FSDKError> fsdk::ILicense::getLicenseType | ( | int & | licenseType | ) | const
| pure virtual noexcept

Gets license type.

Parameters

  [out] | licenseType |

Returns
  Result with error code

See also
  LicenseType, Result and FSDKError for details

## ◆ isActivated()

virtual ResultValue<FSDKError, bool> fsdk::ILicense::isActivated | ( |  | ) | const
| pure virtual noexcept

Checks if current license object is activated and could be used by FaceEngine.

Returns
  ResultValue with error code and true if object is activated.

See also
  ResultValue and FSDKError for details.

Note
  License object which was not activated could not be used because all features are disabled by default.

## ◆ loadFromFile()

virtual Result<FSDKError> fsdk::ILicense::loadFromFile | ( | const char * | path,
|  | const ISettingsProvider * | settings
| ) |  |
| pure virtual noexcept

Loads license from file.

Parameters

  [in] | path | path to the file.
  [in] | settings | License settings provider.

Returns
  Result with error code.

See also
  ISettingsProvider, Result and FSDKError for details.

## ◆ saveToFile()

virtual Result<FSDKError> fsdk::ILicense::saveToFile | ( | const char * | path | ) | const
| pure virtual noexcept

Saves license as raw format to the file. This file could be used in the next run of the application.

Parameters

  [in] | path | path to the file.

Returns
  Result with error code.

See also
  Result and FSDKError for details.

The documentation for this struct was generated from the following file:

- include/fsdk/ILicense.h